> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get form submissions 

> Get list of submissions for a specific form

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-form-submissions-v2
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-form-submissions-v2:
    post:
      tags:
        - Forms
      summary: 'Get form submissions '
      description: >-
        Get list of submissions for a specific form


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          formId:
                            type: string
                            minLength: 1
                            description: >-
                              The unique identifier of the form to get
                              submissions for
                        required:
                          - formId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                submissions:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      submissionId:
                                        type: string
                                        description: Unique identifier for this submission
                                      userId:
                                        type: string
                                        nullable: true
                                        description: >-
                                          User ID if authenticated, null for
                                          anonymous submissions
                                      submittedAt:
                                        type: string
                                        description: >-
                                          Timestamp of when the submission was
                                          created
                                      answers:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            blockId:
                                              type: string
                                              description: >-
                                                Unique identifier for the form
                                                block/question
                                            blockType:
                                              type: string
                                              description: >-
                                                Type of the form block (e.g., ShortText,
                                                SingleSelect)
                                            question:
                                              anyOf:
                                                - type: string
                                                - nullable: true
                                                - nullable: true
                                              description: The question text for this block
                                            answer:
                                              anyOf:
                                                - nullable: true
                                                - type: string
                                                - type: string
                                                - type: number
                                                - type: array
                                                  items:
                                                    type: string
                                                - type: array
                                                  items:
                                                    type: string
                                                - type: string
                                                - type: string
                                                - type: object
                                                  properties:
                                                    countryCode:
                                                      type: string
                                                    phoneNumber:
                                                      type: string
                                                  required:
                                                    - countryCode
                                                    - phoneNumber
                                                - type: string
                                                  format: uri
                                                - type: object
                                                  properties:
                                                    street:
                                                      type: string
                                                    city:
                                                      type: string
                                                    state:
                                                      type: string
                                                    zip:
                                                      type: string
                                                    country:
                                                      type: string
                                                  additionalProperties: false
                                                - type: object
                                                  properties:
                                                    firstName:
                                                      type: string
                                                    lastName:
                                                      type: string
                                                    email:
                                                      type: string
                                                      format: email
                                                    phone:
                                                      type: string
                                                    company:
                                                      type: string
                                                  additionalProperties: false
                                                - type: number
                                                - type: number
                                                - type: array
                                                  items:
                                                    type: object
                                                    properties:
                                                      url:
                                                        type: string
                                                        format: uri
                                                      filename:
                                                        type: string
                                                      size:
                                                        type: number
                                                      type:
                                                        type: string
                                                    required:
                                                      - url
                                                      - filename
                                                      - size
                                                      - type
                                                - nullable: true
                                                - nullable: true
                                                - nullable: true
                                              description: >-
                                                The answer value submitted for this
                                                block
                                          required:
                                            - blockId
                                            - blockType
                                            - question
                                            - answer
                                        description: List of answers for each form block
                                    required:
                                      - submissionId
                                      - userId
                                      - submittedAt
                                      - answers
                                  description: List of form submissions
                              required:
                                - submissions
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````